#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%define		pdir	MooseX
%define		pnam	Role-WithOverloading
%include	/usr/lib/rpm/macros.perl
Summary:	MooseX::Role::WithOverloading - Roles which support overloading
#Summary(pl.UTF-8):	
Name:		perl-MooseX-Role-WithOverloading
Version:	0.13
Release:	4
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/MooseX/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	9f00627828c22aece891b016bcf12762
# generic URL, check or change before uncommenting
#URL:		http://search.cpan.org/dist/MooseX-Role-WithOverloading/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Moose >= 0.94
BuildRequires:	perl-MooseX-Types
BuildRequires:	perl-Test-CheckDeps
BuildRequires:	perl-Test-NoWarnings
BuildRequires:	perl-aliased
BuildRequires:	perl-namespace-autoclean >= 0.12
BuildRequires:	perl-namespace-clean
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
MooseX::Role::WithOverloading allows you to write a Moose::Role which
defines overloaded operators and allows those operator overloadings to
be composed into the classes/roles/instances it's compiled to, while
plain Moose::Roles would lose the overloading.

# %description -l pl.UTF-8
# TODO

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%dir %{perl_vendorarch}/MooseX
%dir %{perl_vendorarch}/MooseX/Role
%{perl_vendorarch}/MooseX/Role/WithOverloading
%{perl_vendorarch}/MooseX/Role/WithOverloading.pm
%dir %{perl_vendorarch}/auto/MooseX
%dir %{perl_vendorarch}/auto/MooseX/Role
%dir %{perl_vendorarch}/auto/MooseX/Role/WithOverloading
%attr(755,root,root) %{perl_vendorarch}/auto/MooseX/Role/WithOverloading/*.so
%{_mandir}/man3/*
%changelog
* Mon Sep 15 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-MooseX-Role-WithOverloading.git;a=log;h=master

* Mon Sep 15 2014 Jan Rękorajski <baggins@pld-linux.org> bc22816
- release 4 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 54e9263
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 35d5879
- rebuild for perl 5.20
- release 3 (by relup.sh)

* Mon Jun 10 2013 Jan Rękorajski <baggins@pld-linux.org> e21ace9
- rel 2

* Mon Jun 10 2013 Jan Rękorajski <baggins@pld-linux.org> bac3d34
- more BRs

* Mon Jun 10 2013 Jan Rękorajski <baggins@pld-linux.org> f470ee8
- updated BRs

* Mon Jun 10 2013 Jan Rękorajski <baggins@pld-linux.org> b9d9bff
- up to 0.13

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 1f536a0
- rebuild with perl 5.18.0
- release 4 (by relup.sh)

* Tue Jan 24 2012 zbyniu <zbyniu@pld-linux.org> 5848bc3
- and more; rel 3

* Tue Jan 24 2012 zbyniu <zbyniu@pld-linux.org> 6c0cc3a
- one more dir; rel 2

* Tue Jan 24 2012 zbyniu <zbyniu@pld-linux.org> fccf4b8
- dirs %{perl_vendorarch}/MooseX{,/Role} added here, no better place

* Mon Jan 23 2012 zbyniu <zbyniu@pld-linux.org> 0156662
- new

